/*-
 * Copyright (c) 2001 Jordan DeLong
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the author nor the names of contributors may be
 *    used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
#include <X11/Xlib.h>
#include <unistd.h>

#define TRITONE_RATIO	1.4142
#define DELAY		1000

Display *display;
int screen;
Window root;

void tritone(int low) {
	XKeyboardControl kc;
	
	kc.bell_pitch = low;
	kc.bell_percent = 50;
	kc.bell_duration = DELAY;
	XChangeKeyboardControl(display, KBBellPitch | KBBellDuration | KBBellPercent, &kc);
	XBell(display, 50);
	XSync(display, 0);

	usleep(DELAY * 1000);

	kc.bell_pitch = low * TRITONE_RATIO;
	kc.bell_percent = 50;
	kc.bell_duration = DELAY;
	XChangeKeyboardControl(display, KBBellPitch | KBBellDuration | KBBellPercent, &kc);
	XBell(display, 50);
	XFlush(display);
}

/*
 * play a diminshed fifth..., I was really
 * really bored when I made this
 */
int main() {
	display = XOpenDisplay(NULL);
	screen = DefaultScreen(display);
	root = RootWindow(display, screen);

	tritone(440);

	return 0;
}
